TEE(1)

NAME
tee - Pipe fitting.

SYNOPSIS
tee [ -aviV ] file1 [ file2... ]

DESCRIPTION
The tee utility copies standard input to standard output, making a copy in file1, file2, etc. The standard output is by default unbuffered, while output to the files is fully buffered

The following options are available:

    -a  Append the output to the files rather than overwriting them.

    -b  Use line buffering on stdin and stdout. By default, there is no buffering on these two streams.

    -i  Ignore the SIGINT signal.

    -V  Show version and usage information, then exit.

The tee utility takes the default action for all signals, except in the event of the -i option.

If an error occurs while reading stdin, only the first specified file will contain the output up to that point.

The return value is 0 on success, and 1 if an error occurs.

VERSION
This manual page documents tee version 1.3.

STANDARDS
Tee is POSIX p1003.2 compatible.

HISTORY
Tee first appeared in GNO v1.x. Version 1.1 and later were written by Devin Reade.